Package org.eclipse.jdt.ui.text

## Interface IColorManagerExtension

    public interface IColorManagerExtension

Extends `IColorManager` with the ability to bind and un-bind colors.

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `bindColor​(String key, RGB rgb)` Remembers the given color specification under the given key.
`void` `unbindColor​(String key)` Forgets the color specification remembered under the given key.

### Method Detail

#### bindColor

    void bindColor​(String key,
                   RGB rgb)

Remembers the given color specification under the given key.

Parameters:
  `key` - the color key
  `rgb` - the color specification
Throws:
  `UnsupportedOperationException` - if there is already a color specification remembered under the given key

#### unbindColor

    void unbindColor​(String key)

Forgets the color specification remembered under the given key.

Parameters:
  `key` - the color key